#= Reference data from
- Fischer, C. (1977). The Hartree-Fock Method for Atoms : A Numerical
Approach. New York: Wiley.
=#

# Table 6.2
exact_Yᵏs = Dict((o"1s",0) => r -> 1 - exp(-2r)*(1 + r),
                 (o"2s",0) => r -> 1 - exp(-r)*(1 + 3/4*r + 1/4*r^2 + 1/8*r^3),
                 (o"2p",0) => r -> 1 - exp(-r)*(1 + 3/4*r + 1/4*r^2 + 1/24*r^3),
                 (o"2p",2) => r -> 30/r^2*(1 - exp(-r)*(1 + r + 1/2*r^2 + 1/6*r^3 +
                                                        1/24*r^4 + 1/144*r^5)))

# Table 6.3–6.3B
exact_F⁰s = Dict((o"1s",o"1s",0)=>5//8,
                 (o"2s",o"1s",0)=>17//81,
                 (o"2s",o"2s",0)=>77//512,
                 (o"2p",o"1s",0)=>59//243,
                 (o"2p",o"2s",0)=>83//512,
                 (o"2p",o"2p",0)=>93//512,
                 (o"4s",o"4s",0)=>19541//524288,
                 (o"4s",o"4p",0)=>19943//524288,
                 (o"4s",o"4d",0)=>20693//524288,
                 (o"4s",o"4f",0)=>21743//524288,
                 (o"4p",o"4p",0)=>20413//524288,
                 (o"4p",o"4d",0)=>21239//524288,
                 (o"4p",o"4f",0)=>22373//524288,
                 (o"4d",o"4d",0)=>22373//524288,
                 (o"4d",o"4f",0)=>23759//524288,
                 (o"4f",o"4f",0)=>26333//524288)

# Table 6.3
exact_Gᵏs = Dict((o"2s",o"1s",0)=>16//729,
                 (o"2p",o"1s",1)=>112//2187,
                 (o"2p",o"2s",1)=>45//512)
